Package org.pentaho.reporting.libraries.formula.lvalues

## Class PrefixTerm

- java.lang.Object
- - org.pentaho.reporting.libraries.formula.lvalues.AbstractLValue
  - - org.pentaho.reporting.libraries.formula.lvalues.PrefixTerm

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Cloneable`, `LValue`

      public class PrefixTerm
      extends AbstractLValue

  Creation-Date: 02.11.2006, 10:20:27
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PrefixTerm​(PrefixOperator operator, LValue value)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `clone()` |
    `TypeValuePair` | `evaluate()` |
    `LValue[]` | `getChildValues()` | Returns any dependent lvalues (parameters and operands, mostly).
    `PrefixOperator` | `getOperator()` |
    `LValue` | `getValue()` |
    `boolean` | `isConstant()` | Checks whether the LValue is constant.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class org.pentaho.reporting.libraries.formula.lvalues.AbstractLValue

      `getContext, getParsePosition, getValueType, initialize, setParsePosition`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PrefixTerm

          public PrefixTerm​(PrefixOperator operator,
                            LValue value)

  - ### Method Detail

    - #### getOperator

          public PrefixOperator getOperator()

    - #### getValue

          public LValue getValue()

    - #### evaluate

          public TypeValuePair evaluate()
                                 throws EvaluationException

      Throws:
        `EvaluationException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getChildValues

          public LValue[] getChildValues()

      Returns any dependent lvalues (parameters and operands, mostly).
      Specified by:
        `getChildValues` in interface `LValue`
      Overrides:
        `getChildValues` in class `AbstractLValue`
      Returns:

    - #### isConstant

          public boolean isConstant()

      Checks whether the LValue is constant. Constant lvalues always return the same value.
      Returns:

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Specified by:
        `clone` in interface `LValue`
      Overrides:
        `clone` in class `AbstractLValue`
      Throws:
        `java.lang.CloneNotSupportedException`